:host {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;

  &.ng-animating {
    position: absolute;
    top: 0;
  }
}

form {
  margin-top: 140px;

  .form-content {
    width: 260px;
    padding-bottom: 100px;

    @media screen and (min-width: 410px) {
      width: 290px;
    }

    @media screen and (min-width: 768px) {
      width: 400px;
    }
  }
}

button:not([type='submit']) {
  width: 100%;
  margin-bottom: var(--spacing-big);

  &.empty {
    background: var(--button-empty);
    font-size: var(--primary-font-size-very-small);
  }

  .btn-content {
    position: relative;
    z-index: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    min-width: 0;

    &.multiple {
      width: 100%;
      display: flex;
      flex-direction: column;

      span {
        text-align: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        min-width: 0;

        &.customText {
          font-size: var(--primary-font-size-extra-small);
        }
      }
    }
  }

  .icons {
    position: absolute;
    z-index: 0;
    top: 50%;
    right: 0;
    transform: translate(0%, -50%);
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 16px;

    img {
      width: 60px;
      height: auto;
      position: absolute;

      &.icon1 {
        opacity: 0.55;
      }
      &.icon2 {
        opacity: 0.35;
      }
    }
  }
}

.items-source-label {
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size-very-small);
  padding-top: var(--spacing);
}

.items {
  width: 100%;
  grid-template-columns: 1fr 1fr 1fr;
  margin: var(--spacing) 0;

  &:first-of-type {
    margin-top: var(--spacing-big);
  }

  &:last-of-type {
    margin-bottom: var(--spacing-bigger);
  }

  .item {
    border: none;
  }

  .img-container {
    position: relative;
    height: 90px;

    &::after {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: transparent;
      transition: all 330ms linear;
      border-radius: 16px;
      box-sizing: border-box;
      border: 2px solid transparent;
    }
  }

  input:checked + .img-container::after {
    background: rgba(var(--primary-rgb), 0.5);
    border: 2px solid var(--primary-shadow);
  }
}

button[type='submit'] {
  position: sticky;
  z-index: 1004;
  margin-left: auto;
  bottom: var(--spacing-medium);
  right: var(--spacing-big);

  svg {
    width: 36px;
    height: 36px;
  }
}

.top-title {
  svg {
    display: block;
    position: relative;
    top: 1px;
  }

  .inputs-wrapper {
    background: var(--coord-top-title);
    padding: var(--spacing);
    display: flex;
    flex-direction: column;
    text-align: left;
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-very-small);
    border-bottom-left-radius: 16px;
    border-bottom-right-radius: 16px;
    color: var(--mel-button-text);
  }
}

button.memo {
  background: var(--coord-memo);
  position: relative;
  border-radius: 16px;
  min-height: 100px;
  margin-top: var(--spacing-big);
  display: flex;
  padding: var(--spacing-medium) var(--spacing-medium);
  color: var(--mel-button-text);

  .memo-value {
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-very-small);
    white-space: pre-wrap;
    display: block;
    text-align: left;
  }

  &.empty {
    background: var(--button-empty);
  }
}

.memo-icon {
  width: 42px;
  height: 47px;
  position: absolute;
  top: 0;
  left: 0;
  transform: translate(-50%, -50%);
}

label {
  color: var(--primary-text);
}

.modal-header {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: var(--primary-font);
  font-size: var(--primary-font-size-very-small);
  color: var(--primary-text);

  span {
    margin-right: var(--spacing);
  }
}

canvas {
  display: block;
  display: none;
}

.floordination {
  margin-bottom: var(--spacing-bigger);
}

.floordination-download-btn {
  svg {
    width: 24px;
    height: 24px;
    fill: var(--mel-button-text);
  }
}
